Subject: [Idr] draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

From: "Susan Hares" <[email-masked]>
Date: Tue, 8 May 2018 12:08:47 -0400

Acee: 

I agree with not specifying the IPv6in draft-ietf-idr-bgp-prefix-sid.  

If it is not working, it does not belong in an IDR draft going to the IESG for publication.    

I’ve suggested some text below in the introduction that identifies the SRv6 case and 

Indicates that BGP Prefix-SID attribute should not be associated with 

SRv6 SIDs (IPv6 addresses).

However, there should also be some text in section 6. 

Section 6 states:

/  When a BGP Speaker receives a BGP Update message containing a
   malformed or invalid BGP Prefix-SID attribute attached to a Labeled
   IPv4/IPv6 unicast prefix [RFC8277 <https://tools.ietf.org/html/rfc8277> ], it MUST ignore the received BGP
   Prefix-SID attributes and not advertise it to other BGP peers.  This
   is equivalent to the "Attribute discard" action specified in
   [RFC7606 <https://tools.ietf.org/html/rfc7606> ].  When discarding an attribute, a BGP speaker SHOULD log an
   error for further analysis.

/

In section 4.1, you identify invalid as “not having a “Label-Index TLV, and 

“conflicting as”

   If multiple different prefixes are received with the same label
   index, all of the different prefixes MUST have their BGP Prefix-SID
   attribute considered as "conflicting".

You do not define malformed in any section.  Normally, a malformed attribute is an attribute that 

does not abide by the defined attribute code, length, and value (that is the TLVs within the attribute].

Is this the intent?  If so, you might indicate what malformed is someplace in the draft. 

I do not perceive how section 6’s text handles the valid BGP Prefix SID attribute that is associated

with an SRv6 SID.   The attribute is not malformed, invalid, or conflicting. 

Perhaps you could call it “illegal usage”.    My suggested text below uses that term. 

IMHO, the case of a valid BGP Prefix SID attribute being associated with SRv6 SID

case needs to be addressed in the error handling section of the draft. 

Susan Hares 

Suggested textual changes to introduction to clearly state SRv6 is not supported. 

 =============

Here’s my suggested 

Change 1: 

Current/

   As described in [I-D.ietf-spring-segment-routing <https://tools.ietf.org/html/draft-ietf-idr-bgp-prefix-sid-19#ref-I-D.ietf-spring-segment-routing> ], when SR is applied
   to the MPLS dataplane ([I-D.ietf-spring-segment-routing-mpls <https://tools.ietf.org/html/draft-ietf-idr-bgp-prefix-sid-19#ref-I-D.ietf-spring-segment-routing-mpls> ]), the
   SID consists of a label.  
/
Here’s a proposed text that you might add: 
 
New/As described in [I-D.ietf-spring-segment-routing <https://tools.ietf.org/html/draft-ietf-idr-bgp-prefix-sid-19#ref-I-D.ietf-spring-segment-routing> ], when SR is applied
    to the MPLS dataplane ([I-D.ietf-spring-segment-routing-mpls <https://tools.ietf.org/html/draft-ietf-idr-bgp-prefix-sid-19#ref-I-D.ietf-spring-segment-routing-mpls> ]), the
    SID consists of a label.  
 
    [I-D.ietf-spring-segment-routing] also 
    indicates that SR routing can be applied to the IPv6 dataplane 
    [I-D.ietf-6man-segment-routing-header] in a new v6 routing header with 
    the SID encoded as an IPv6 address.  The SR segment that uses this header 
    is denoted as an SR SID. 
/

Change 2: 

Further down in the paragraph I suggest changing: 

Old/

   This document describes the BGP extension to signal the BGP Prefix-
   SID.  Specifically, this document defines a BGP attribute known as
   the BGP Prefix-SID attribute and specifies the rules to originate,
   receive, and handle error conditions for the attribute.

/

to 

/

   This document describes the BGP extension to signal the BGP Prefix-
   SID.  Specifically, this document defines a BGP attribute known as
   the BGP Prefix-SID attribute and specifies the rules to originate,
   receive, and handle error conditions for the attribute when
   SR is applied to the MPLS dataplane.  
 
   This document does not specify how the BGP Prefix-SID attribute can 
   associated used with an SRv6 SID.  A BGP Prefix-SID attribute 
   is considered illegal use of this attribute and 
   the attribute will be discarded (see section 6 for 
   for details on error handling ). 
/

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 8 May 2018 17:06:26 +0000

Hi Sue,

From: Susan Hares <[email-masked]>
Date: Tuesday, May 8, 2018 at 12:09 PM
To: IDR List <[email-masked]>
Cc: Alvaro Retana <[email-masked]>, John Scudder <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case
Resent-From: <[email-masked]>
Resent-To: Stefano Previdi <[email-masked]>, <[email-masked]>, Acee Lindem <[email-masked]>, Arjun Sreekantiah <[email-masked]>, <[email-masked]>
Resent-Date: Tuesday, May 8, 2018 at 12:08 PM

Acee:

I’m glad you agree with removing SRv6 (as opposed to IPv6) from the document.

   IPv4/IPv6 unicast prefix [RFC8277<https://tools.ietf.org/html/rfc8277>], it MUST ignore the received BGP

   [RFC7606<https://tools.ietf.org/html/rfc7606>].  When discarding an attribute, a BGP speaker SHOULD log an

Yes – I’ll add text to section 6.

       In this context, a malformed BGP Prefix-SID attribute
      is one that cannot be parsed due to not meeting the minimum length
      requirement or containing a TLV length that doesn't conform to the
       length constraints for the TLV or would exceed the attribute length.

Since SRv6 has been removed from the document, there is no need to describe error handling behavior (see below).

Susan Hares

   As described in [I-D.ietf-spring-segment-routing<https://tools.ietf.org/html/draft-ietf-idr-bgp-prefix-sid-19#ref-I-D.ietf-spring-segment-routing>], when SR is applied

   to the MPLS dataplane ([I-D.ietf-spring-segment-routing-mpls<https://tools.ietf.org/html/draft-ietf-idr-bgp-prefix-sid-19#ref-I-D.ietf-spring-segment-routing-mpls>]), the

   SID consists of a label.

/

New/As described in [I-D.ietf-spring-segment-routing<https://tools.ietf.org/html/draft-ietf-idr-bgp-prefix-sid-19#ref-I-D.ietf-spring-segment-routing>], when SR is applied

    to the MPLS dataplane ([I-D.ietf-spring-segment-routing-mpls<https://tools.ietf.org/html/draft-ietf-idr-bgp-prefix-sid-19#ref-I-D.ietf-spring-segment-routing-mpls>]), the

    SID consists of a label.

    is denoted as an SR SID.

/

Ok. I’d also add:

           The applicability and support for Segment Routing over IPv6 is beyond

           the scope of this document.

Change 2 is then not necessary.

Thanks,

Acee

Change 2:

/

---

From: "Susan Hares" <[email-masked]>
Date: Tue, 8 May 2018 15:37:57 -0400

Acee:

Thank you for the quick response.  Yes – I did mean the SRv6 (not IPv6). 

Just to make sure, I’ve been clear, the scenario is  SR domain is running the SRv6 forwarding.  

BGP speaking forwarding BGP-LS with SRV6 information (per draft-dawra-idr-bgpls-srv6-ext-03.txt)

adds  BGP attribute with a valid BGP Prefix SID (which only works with a MPLS forwarding). 

What should happen in the attribute processing? 

The answer to this question could be placed in 

1)      draft-ietf-bgp-prefix-sid, 

2)      draft-dawra-idr-bgpls-srv6-ext-03.txt, or 

3)      draft-dawra-idr-srv6-vpn-03?  

Do I understand correctly from your that this problem should be addressed in the draft-dawra-idr-srv6-vpn-03? 

If this is your suggestion, it is a good one – but the draft-dawra-idr-srv6-vpn covers too much. 

The issues regarding the processing of the BGP attribute need to go to IDR. 

The BGP based Ethernet VPN over SRV6 needs to go to the Bess WG which has dealt

with the EVPN creation.   I’ve copied the authors on this message, and I’ll see if they can send 

just the BGP Attribute processing and material similar to draft-ietf-bgp-prefix-sid to IDR. 

Sue 

From: Acee Lindem (acee) [mailto:[email-masked]] 
Sent: Tuesday, May 8, 2018 1:06 PM
To: Susan Hares; [email-masked]
Cc: 'Alvaro Retana'; 'John Scudder'; [email-masked]
Subject: Re: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Hi Sue, 

Acee: 

Section 6 states:

/

“conflicting as”

 

Susan Hares 

 =============

Here’s my suggested 

Change 1: 

Current/

 
 
Ok. I’d also add:

 
Thanks,
Acee 

Change 2: 

Old/

/

to 

/

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 8 May 2018 19:51:40 +0000

Hi Sue,

From: Susan Hares <[email-masked]>
Date: Tuesday, May 8, 2018 at 3:38 PM
To: Acee Lindem <[email-masked]>, IDR List <[email-masked]>
Cc: Alvaro Retana <[email-masked]>, John Scudder <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Acee:

Yes – this is described in https://tools.ietf.org/html/draft-dawra-idr-bgpls-srv6-ext-03#section-2.1.2

I believe this draft is still evolving. You probably want to wait to review the next revision.

This is not to say that there will not be other SRv6 BGP use cases in the future and I wouldn’t completely rule out future extension of the BGP Prefix-SID attribute.

Thanks,
Acee

Sue

Hi Sue,

Acee:

Susan Hares

   SID consists of a label.

/

    SID consists of a label.

    is denoted as an SR SID.

/

Ok. I’d also add:

Thanks,

Acee

Change 2:

/

---

From: "Susan Hares" <[email-masked]>
Date: Tue, 8 May 2018 16:01:37 -0400

Acee:

draft-dawra-idr-bgpls-srv6-ext-03.txt covers the NLRI 

and not the BGP attribute (defined in draft-ietf-bgp-prefix-sid). 

Did you mean section 2 of draft-dawra-idr-srv6-vpn-03?   

 <https://tools.ietf.org/html/draft-dawra-idr-srv6-vpn-03#section-2> 
2.  SRv6-VPN SID TLV

   The SRv6-VPN SID TLV is defined as another TLV for BGP-Prefix-SID

   Attribute [I-D.ietf-idr-bgp-prefix-sid <https://tools.ietf.org/html/draft-dawra-idr-srv6-vpn-03#ref-I-D.ietf-idr-bgp-prefix-sid> ].

Sue 

From: Acee Lindem (acee) [mailto:[email-masked]] 
Sent: Tuesday, May 8, 2018 3:52 PM
To: Susan Hares; [email-masked]
Cc: 'Alvaro Retana'; 'John Scudder'; [email-masked]; [email-masked]
Subject: Re: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Hi Sue, 

Acee:

Thanks,

Acee

Sue 

Hi Sue, 

Acee: 

Section 6 states:

/

“conflicting as”

 

Susan Hares 

 =============

Here’s my suggested 

Change 1: 

Current/

 
 
Ok. I’d also add:

 
Thanks,
Acee 

Change 2: 

Old/

/

to 

/

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 8 May 2018 20:06:43 +0000

Hi Sue,

Date: Tuesday, May 8, 2018 at 4:01 PM

Acee:

Right – for the initial use cases, the BGP-LS AF will be used to advertise the SRv6 SID corresponding to a unicast prefix.

2<https://tools.ietf.org/html/draft-dawra-idr-srv6-vpn-03#section-2>.  SRv6-VPN SID TLV

   The SRv6-VPN SID TLV is defined as another TLV for BGP-Prefix-SID
   Attribute [I-D.ietf-idr-bgp-prefix-sid<https://tools.ietf.org/html/draft-dawra-idr-srv6-vpn-03#ref-I-D.ietf-idr-bgp-prefix-sid>].

This is another use case for SRv6 and VPN prefixes. You won’t find the exact use case that was previously in the BGP Prefix-SID draft. As discussed, it didn’t satisfy any use cases and wasn’t ever implemented.

Thanks,
Acee

Sue

Hi Sue,

Acee:

Thanks,
Acee

Sue

Hi Sue,

Acee:

Susan Hares

   SID consists of a label.

/

    SID consists of a label.

    is denoted as an SR SID.

/

Ok. I’d also add:

Thanks,

Acee

Change 2:

/

---

From: "Susan Hares" <[email-masked]>
Date: Tue, 8 May 2018 16:10:47 -0400

Acee: 

This is important fact to know.  You had mentioned in person, but this 

point  not evident in the set of drafts I had.   I’ll switch that set of 

questions over to a different thread. 

Sue 

From: Idr [mailto:[email-masked]] On Behalf Of Acee Lindem (acee)
Sent: Tuesday, May 8, 2018 4:07 PM
To: Susan Hares; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [Idr] draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Hi Sue, 

Acee:

 

Thanks,

Acee 

Sue 

Hi Sue, 

Acee:

Thanks,

Acee

Sue 

Hi Sue, 

Acee: 

Section 6 states:

/

“conflicting as”

 

Susan Hares 

 =============

Here’s my suggested 

Change 1: 

Current/

 
 
Ok. I’d also add:

 
Thanks,
Acee 

Change 2: 

Old/

/

to 

/

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Wed, 9 May 2018 03:07:01 +0000

Hi Sue,

I would like to clarify on SRv6 and BGP extensions for it.

Draft-ietf-idr-bgp-prefix-sid associates the Prefix SID attribute to MP BGP Labelled IPv4/IPv6 Unicast AFI/SAFI and is hence applicable to SR/MPLS forwarding plane.

SRv6 architecture is described in draft-filsfils-spring-srv6-network-programming and it provides an overview of the control plane implications for various protocols in https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-03#section-8.

The draft-dawra-idr-srv6-vpn covers the VPN signalling aspects as described in sec 8.3. The sec 8.1 (though marked as IGP) explains the prefix reachability considerations for routing. The routing protocols signal reachability for the locator prefixes.

The advertisement of all SRv6 SIDs of a node is done via BGP-LS and is covered in draft-dawra-idr-bgpls-srv6-ext (as explained in Sec 8.2 of SRv6 net. prg. draft). The SRv6 END SID is functionality equivalent to the SR/MPLS Prefix SID – i.e. instruction to go to the node advertising the prefix via the best routing path. The SRv6 END SID advertisement via BGP-LS for a BGP node is covered in https://tools.ietf.org/html/draft-dawra-idr-bgpls-srv6-ext-03#section-2.1.2

Thanks,
Ketan

From: Idr <[email-masked]> On Behalf Of Susan Hares
Sent: 09 May 2018 01:41
To: Acee Lindem (acee) <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [Idr] draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Acee:

Sue

From: Idr [mailto:[email-masked]] On Behalf Of Acee Lindem (acee)
Sent: Tuesday, May 8, 2018 4:07 PM
To: Susan Hares; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Idr] draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Hi Sue,

From: Susan Hares <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, May 8, 2018 at 4:01 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, IDR List <[email-masked]<mailto:[email-masked]>>
Cc: Alvaro Retana <[email-masked]<mailto:[email-masked]>>, John Scudder <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Acee:

Thanks,
Acee

Sue

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Tuesday, May 8, 2018 3:52 PM
To: Susan Hares; [email-masked]<mailto:[email-masked]>
Cc: 'Alvaro Retana'; 'John Scudder'; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Hi Sue,

From: Susan Hares <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, May 8, 2018 at 3:38 PM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, IDR List <[email-masked]<mailto:[email-masked]>>
Cc: Alvaro Retana <[email-masked]<mailto:[email-masked]>>, John Scudder <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Acee:

Thanks,
Acee

Sue

From: Acee Lindem (acee) [mailto:[email-masked]]
Sent: Tuesday, May 8, 2018 1:06 PM
To: Susan Hares; [email-masked]<mailto:[email-masked]>
Cc: 'Alvaro Retana'; 'John Scudder'; [email-masked]<mailto:[email-masked]>
Subject: Re: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Hi Sue,

From: Susan Hares <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, May 8, 2018 at 12:09 PM
To: IDR List <[email-masked]<mailto:[email-masked]>>
Cc: Alvaro Retana <[email-masked]<mailto:[email-masked]>>, John Scudder <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case
Resent-From: <[email-masked]<mailto:[email-masked]>>
Resent-To: Stefano Previdi <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>, Acee Lindem <[email-masked]<mailto:[email-masked]>>, Arjun Sreekantiah <[email-masked]<mailto:[email-masked]>>, <[email-masked]<mailto:[email-masked]>>
Resent-Date: Tuesday, May 8, 2018 at 12:08 PM

Acee:

Susan Hares

   SID consists of a label.

/

    SID consists of a label.

    is denoted as an SR SID.

/

Ok. I’d also add:

Thanks,

Acee

Change 2:

/

---

From: "Susan Hares" <[email-masked]>
Date: Fri, 18 May 2018 16:10:45 -0400

Ketan:

Thank you for the description of the use cases.    

In the draft:
https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-03#section-8.

 <https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-04#section-8.2> 
8.2.  BGP-LS

   BGP-LS is expected to be the key service discovery protocol.  Every
   node is expected to advertise via BGP-LS its SRv6 capabilities (e.g.
   how many SIDs in can insert as part of an T.Insert behavior) and any
   locally instantiated SID[I-D.ietf-idr-bgp-ls-segment-routing-ext][I-D
   .ietf-idr-te-lsp-distribution].

My understanding is that you are implying that the BGP extension for SRv6 do not 

use a BGP attribute.  

In section 2, you state:  “The BGP-LS [RFC7752] defines the BGP Node and Link attributes.” 

I believe what you mean is: 

New/ The BGP-LS [RFC7752] defines the BGP Node and Link attributes for the Link-State NLRI./

Is this correct?  If so, it might be good to make that small clarification to your draft. 

I also believe that you are encoding the SRv6 SIDs that are associated with the node in the 

BGP-LS [RFC7752] Link-State NLRI in the NLRI type node as a TLV within this NLRI type. 

The SRv6 draft (draft-dawra-idr-bgpls-srv6-ext-03)  does

not anticipate using a BGP attribute to associate the an SID with a set of prefixes

being announced by a node.  Instead, this draft suggest that the SID assignment will be 

assigned to a node TLV being sent by a BGP Speaker. 

My understanding is that the node this SID TLV is associated does not have to be a bgp speaker. 

Is this correct? 

Thank you for helping me understand your document. 

Susan Hares

From: Idr [mailto:[email-masked]] On Behalf Of Ketan Talaulikar (ketant)
Sent: Tuesday, May 8, 2018 11:07 PM
To: Susan Hares; Acee Lindem (acee); [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [Idr] draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Hi Sue,

SRv6 architecture is described in draft-filsfils-spring-srv6-network-programming and it provides an overview of the control plane implications for various protocols in  <https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-03#section-8> https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-03#section-8. 

The advertisement of all SRv6 SIDs of a node is done via BGP-LS and is covered in draft-dawra-idr-bgpls-srv6-ext (as explained in Sec 8.2 of SRv6 net. prg. draft). The SRv6 END SID is functionality equivalent to the SR/MPLS Prefix SID – i.e. instruction to go to the node advertising the prefix via the best routing path. The SRv6 END SID advertisement via BGP-LS for a BGP node is covered in  <https://tools.ietf.org/html/draft-dawra-idr-bgpls-srv6-ext-03#section-2.1.2> https://tools.ietf.org/html/draft-dawra-idr-bgpls-srv6-ext-03#section-2.1.2  

Thanks,

Ketan

Acee: 

Sue 

From: Idr [ <mailto:[email-masked]> mailto:[email-masked]] On Behalf Of Acee Lindem (acee)
Sent: Tuesday, May 8, 2018 4:07 PM
To: Susan Hares;  <mailto:[email-masked]> [email-masked]
Cc:  <mailto:[email-masked]> [email-masked];  <mailto:[email-masked]> [email-masked]
Subject: Re: [Idr] draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Hi Sue, 

From: Susan Hares < <mailto:[email-masked]> [email-masked]>
Date: Tuesday, May 8, 2018 at 4:01 PM
To: Acee Lindem < <mailto:[email-masked]> [email-masked]>, IDR List < <mailto:[email-masked]> [email-masked]>
Cc: Alvaro Retana < <mailto:[email-masked]> [email-masked]>, John Scudder < <mailto:[email-masked]> [email-masked]>, " <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>, " <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>
Subject: RE: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Acee:

 

   Attribute [ <https://tools.ietf.org/html/draft-dawra-idr-srv6-vpn-03#ref-I-D.ietf-idr-bgp-prefix-sid> I-D.ietf-idr-bgp-prefix-sid].

Thanks,

Acee 

Sue 

From: Acee Lindem (acee) [ <mailto:[email-masked]> mailto:[email-masked]] 
Sent: Tuesday, May 8, 2018 3:52 PM
To: Susan Hares;  <mailto:[email-masked]> [email-masked]
Cc: 'Alvaro Retana'; 'John Scudder';  <mailto:[email-masked]> [email-masked];  <mailto:[email-masked]> [email-masked]
Subject: Re: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Hi Sue, 

From: Susan Hares < <mailto:[email-masked]> [email-masked]>
Date: Tuesday, May 8, 2018 at 3:38 PM
To: Acee Lindem < <mailto:[email-masked]> [email-masked]>, IDR List < <mailto:[email-masked]> [email-masked]>
Cc: Alvaro Retana < <mailto:[email-masked]> [email-masked]>, John Scudder < <mailto:[email-masked]> [email-masked]>, " <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>, " <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>
Subject: RE: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Acee:

Yes – this is described in  <https://tools.ietf.org/html/draft-dawra-idr-bgpls-srv6-ext-03#section-2.1.2> https://tools.ietf.org/html/draft-dawra-idr-bgpls-srv6-ext-03#section-2.1.2

Thanks,

Acee

Sue 

From: Acee Lindem (acee) [ <mailto:[email-masked]> mailto:[email-masked]] 
Sent: Tuesday, May 8, 2018 1:06 PM
To: Susan Hares;  <mailto:[email-masked]> [email-masked]
Cc: 'Alvaro Retana'; 'John Scudder';  <mailto:[email-masked]> [email-masked]
Subject: Re: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Hi Sue, 

From: Susan Hares < <mailto:[email-masked]> [email-masked]>
Date: Tuesday, May 8, 2018 at 12:09 PM
To: IDR List < <mailto:[email-masked]> [email-masked]>
Cc: Alvaro Retana < <mailto:[email-masked]> [email-masked]>, John Scudder < <mailto:[email-masked]> [email-masked]>, " <mailto:[email-masked]> [email-masked]" < <mailto:[email-masked]> [email-masked]>
Subject: draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case
Resent-From: < <mailto:[email-masked]> [email-masked]>
Resent-To: Stefano Previdi < <mailto:[email-masked]> [email-masked]>, < <mailto:[email-masked]> [email-masked]>, Acee Lindem < <mailto:[email-masked]> [email-masked]>, Arjun Sreekantiah < <mailto:[email-masked]> [email-masked]>, < <mailto:[email-masked]> [email-masked]>
Resent-Date: Tuesday, May 8, 2018 at 12:08 PM

Acee: 

Section 6 states:

/

“conflicting as”

 

Susan Hares 

 =============

Here’s my suggested 

Change 1: 

Current/

 
 
Ok. I’d also add:

 
Thanks,
Acee 

Change 2: 

Old/

/

to 

/

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Sat, 19 May 2018 02:58:44 +0000

Hi Sue,

Please check inline for clarifications.

From: Susan Hares <[email-masked]>
Sent: 19 May 2018 01:41
To: Ketan Talaulikar (ketant) <[email-masked]>; Acee Lindem (acee) <[email-masked]>; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: [Idr] draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Ketan:

In the draft:

8.2<https://tools.ietf.org/html/draft-filsfils-spring-srv6-network-programming-04#section-8.2>.  BGP-LS

My understanding is that you are implying that the BGP extension for SRv6 do not
use a BGP attribute.
[KT] There are BGP-LS extensions and then BGP extensions (e.g. for VPNs). The latter is covered in draft-dawra-idr-srv6-vpn and does go into BGP attribute.

New/ The BGP-LS [RFC7752] defines the BGP Node and Link attributes for the Link-State NLRI./
[KT] The BGP-LS NLRIs are existing and defined in RFC7752, we add new BGP-LS Attributes for them in draft-dawra-idr-bgpls-srv6-ext

Is this correct?  If so, it might be good to make that small clarification to your draft.
[KT] Sec 2 of draft-dawra-idr-bgpls-srv6-ext does say this.

[KT] Ack

[KT] Ack

My understanding is that the node this SID TLV is associated does not have to be a bgp speaker.
Is this correct?
[KT] Yes. A BGP speaker could distribute this information on behalf of all the IGP nodes in its area (including its own). Alternately, when there is no IGP running (e.g. BGP-only DC) then the BGP speaker is advertising only its own SRv6 SIDs.

Thanks,
Ketan

Susan Hares

To: Susan Hares; Acee Lindem (acee); [email-masked]<mailto:[email-masked]>

Hi Sue,

Thanks,
Ketan

From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Susan Hares
Sent: 09 May 2018 01:41
To: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Idr] draft-ietf-idr-bgp-prefix-sid review - Text clarifying removal of SRv6 case

Acee:

Sue

Hi Sue,

Acee:

Thanks,
Acee

Sue

Hi Sue,

Acee:

Thanks,
Acee

Sue

Hi Sue,

Acee:

Susan Hares

   SID consists of a label.

/

    SID consists of a label.

    is denoted as an SR SID.

/

Ok. I’d also add:

Thanks,

Acee

Change 2:

/